Bug 176499 - USB Flash card reader I/O error
USB Flash card reader I/O error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 13:39 EST by Martin Thain
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 18:12:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Thain 2005-12-23 13:39:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The USBAT02 Flash card reader fails to be recognised in FC4 kernel 2.6.14-1.1653_FC4

Output from dmesg:
sd 0:0:0:0: SCSI error: return code = 0x8000002
sda: <<DEFERRED>> [descriptor]: sense key: Hardware Error
    <<vendor>> ASC=0xf9 ASCQ=0x4ASC=0xf9 ASCQ=0x4
Descriptor sense data with sense descriptors (in hex):
        f9 04 f9 04 f9 04 f9 04 f9 04 f9 04
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
sd 0:0:0:0: SCSI error: return code = 0x8000002
sda: <<DEFERRED>> [descriptor]: sense key: Hardware Error
    <<vendor>> ASC=0xf9 ASCQ=0x4ASC=0xf9 ASCQ=0x4
Descriptor sense data with sense descriptors (in hex):
        f9 04 f9 04 f9 04 f9 04 f9 04 f9 04
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
sd 0:0:0:0: SCSI error: return code = 0x8000002
sda: <<DEFERRED>> [descriptor]: sense key: Hardware Error
    <<vendor>> ASC=0xf9 ASCQ=0x4ASC=0xf9 ASCQ=0x4
Descriptor sense data with sense descriptors (in hex):
        f9 04 f9 04 f9 04 f9 04 f9 04 f9 04
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
 unable to read partition table
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
application firefox-bin uses obsolete OSS audio interface
usb 3-1: USB disconnect, address 2
usb 3-1: new full speed USB device using ohci_hcd and address 4
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
  Vendor:           Model: USB DISK 20X      Rev: PMAP
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sda: 492544 512-byte hdwr sectors (252 MB)
---------------------------------------------------------------------------
NOTE this device works fine with FC3 kernel 2.6.12-1.1381_FC3
usb 2-1: new full speed USB device using uhci_hcd and address 3
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
  Vendor: SCM       Model: SCM USBAT-02      Rev: 0005
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
 sde: sde1
Attached scsi removable disk sde at scsi1, channel 0, id 0, lun 0
usb-storage: device scan complete



Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1.plug the card in to a usb card
2.wait 2 minutes
3.run dmesg
  

Actual Results:  card fails to be handled correctly

dmesg output
Attached scsi disk sda at scsi4, channel 0, id 0, lun 0
usb-storage: device scan complete
usb 3-1: new full speed USB device using ohci_hcd and address 8
scsi5 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
  Vendor:           Model:                   Rev:
  Type:   Direct-Access                      ANSI SCSI revision: 00
sda : sector size 0 reported, assuming 512.
SCSI device sda: 1 512-byte hdwr sectors (0 MB)
sda: assuming drive cache: write through
sda : sector size 0 reported, assuming 512.
SCSI device sda: 1 512-byte hdwr sectors (0 MB)
sda: assuming drive cache: write through
 sda:<6>sd 5:0:0:0: SCSI error: return code = 0x8000002
sda: <<DEFERRED>> [descriptor]: sense key: Hardware Error
    <<vendor>> ASC=0xf9 ASCQ=0x4ASC=0xf9 ASCQ=0x4
Descriptor sense data with sense descriptors (in hex):
        f9 04 f9 04 f9 04 f9 04 f9 04 f9 04
end_request: I/O error, dev sda, sector 0




Expected Results:  (from FEDORA FC3 2.6.12-1.1381_FC3)
usb 2-1: new full speed USB device using uhci_hcd and address 3
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
  Vendor: SCM       Model: SCM USBAT-02      Rev: 0005
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
 sde: sde1
Attached scsi removable disk sde at scsi1, channel 0, id 0, lun 0
usb-storage: device scan complete


Additional info:
Comment 1 Pete Zaitcev 2005-12-23 16:29:37 EST
Does that thing work with any other kernel? The unit looks broken to me,
though with USBAT2 you can never tell.
Comment 2 Martin Thain 2005-12-24 04:13:44 EST
As stated above it works with Fedora 3!

Expected Results:  (from FEDORA FC3 2.6.12-1.1381_FC3)
usb 2-1: new full speed USB device using uhci_hcd and address 3
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 3
usb-storage: waiting for device to settle before scanning
  Vendor: SCM       Model: SCM USBAT-02      Rev: 0005
  Type:   Direct-Access                      ANSI SCSI revision: 00
Comment 3 Martin Thain 2006-01-24 04:43:46 EST
Note this device was intoduced in kernel 2.6.12

please see
http://usbat2.sourceforge.net/index.html
Comment 4 Dave Jones 2006-02-03 02:23:38 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 Martin Thain 2006-02-05 15:42:51 EST
still a bug in latest FC4 kernel


uname -a
Linux skywalker 2.6.15-1.1830_FC4 #1 Thu Feb 2 17:23:41 EST 2006 i686 i686 i386
GNU/Linux

usb 3-1: new full speed USB device using ohci_hcd and address 2
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
  Vendor:           Model:                   Rev:
  Type:   Direct-Access                      ANSI SCSI revision: 00
usb-storage: device scan complete
sda : sector size 0 reported, assuming 512.
SCSI device sda: 1 512-byte hdwr sectors (0 MB)
sda: assuming drive cache: write through
sda : sector size 0 reported, assuming 512.
SCSI device sda: 1 512-byte hdwr sectors (0 MB)
sda: assuming drive cache: write through
 sda:<6>sd 0:0:0:0: SCSI error: return code = 0x8000002
sda: <<DEFERRED>> [descriptor]: sense key: Hardware Error
    <<vendor>> ASC=0xf9 ASCQ=0x4ASC=0xf9 ASCQ=0x4
Descriptor sense data with sense descriptors (in hex):
        f9 04 f9 04 f9 04 f9 04 f9 04 f9 04
end_request: I/O error, dev sda, sector 0
Buffer I/O error on device sda, logical block 0
Comment 6 Dave Jones 2006-07-29 00:59:04 EDT
it's been a while since this bug was updated.  Any better with the latest errata
kernel ?
Comment 7 Martin Thain 2006-08-01 06:22:58 EDT
Still aproblem in Fedora Core 5 kernel 2.6.17-1.2157_FC5
lsusb finds the device (USBAT-2 CompactFlash) but something goes wrong 

[root@skywalker ~]# lsusb
Bus 004 Device 002: ID 058f:6362 Alcor Micro Corp.
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 002: ID 04e6:1010 SCM Microsystems, Inc. USBAT-2 CompactFlash
Card Reader
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 005: ID 0915:0102 GlobeSpan, Inc.
Bus 001 Device 003: ID 06a3:ff52 Saitek PLC
Bus 001 Device 001: ID 0000:0000
[root@skywalker ~]# uname -a
Linux skywalker 2.6.17-1.2157_FC5 #1 Tue Jul 11 22:55:46 EDT 2006 i686 i686 i386
GNU/Linux
usb 2-2: new full speed USB device using ohci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
  Vendor:           Model:                   Rev:
  Type:   Direct-Access                      ANSI SCSI revision: 00
sde : sector size 0 reported, assuming 512.
SCSI device sde: 1 512-byte hdwr sectors (0 MB)
sde: Write Protect is off
sde: Mode Sense: 00 00 00 00
sde: assuming drive cache: write through
sde : sector size 0 reported, assuming 512.
SCSI device sde: 1 512-byte hdwr sectors (0 MB)
sde: Write Protect is off
sde: Mode Sense: 00 00 00 00
sde: assuming drive cache: write through
 sde:<6>usb 2-2: reset full speed USB device using ohci_hcd and address 2
usb 2-2: reset full speed USB device using ohci_hcd and address 2
usb 2-2: reset full speed USB device using ohci_hcd and address 2
 unknown partition table
sd 1:0:0:0: Attached scsi disk sde
sd 1:0:0:0: Attached scsi generic sg4 type 0
usb-storage: device scan complete
Comment 8 Dave Jones 2006-09-16 23:12:55 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 Dave Jones 2006-09-16 23:17:22 EDT
(ignore last comment, it was a mass-update as mentioned).

Martin, the 2187 had a number of tweaks to the usb storage driver, can you give
that a try ?
Comment 10 Martin Thain 2006-09-18 10:36:11 EDT
Dave

I just checked with FC5 Kernel 2.6.17-1.2187_FC5 and it still does not work.
The hardware still contines to work fine with FC3 Kernel 2.6.12-1.1381_FC3.

Regards
Martin
Comment 11 Martin Thain 2006-10-16 18:02:14 EDT
FIXED in 2.6.18-1.2200.fc5 - please close
thanks
Martin

usb 2-2: new full speed USB device using ohci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
scsi2 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
  Vendor: Shuttle/  Model: USBAT-02          Rev: 0005
  Type:   Direct-Access                      ANSI SCSI revision: 00
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
SCSI device sde: 7872 512-byte hdwr sectors (4 MB)
sde: test WP failed, assume Write Enabled
sde: assuming drive cache: write through
 sde: sde1
sd 2:0:0:0: Attached scsi removable disk sde
sd 2:0:0:0: Attached scsi generic sg4 type 0
usb-storage: device scan complete
[root@skywalker ~]# uname -a
Linux skywalker 2.6.18-1.2200.fc5 #1 Sat Oct 14 16:59:26 EDT 2006 i686 i686 i386
GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.